---
title: Contributing guide
---

The project is really young so we don't have contribution guides setup yet.

The best thing to do is [drop us a line](/contact/) and we can work from there.

Some handy links in the meantime:

- [`abra` command-line tool repository](https://git.autonomic.zone/coop-cloud/abra)
- [docs.cloud.autonomic.zone source repository](https://git.autonomic.zone/coop-cloud/docs.cloud.autonomic.zone)
- [App catalogue repositories](https://git.autonomic.zone/coop-cloud)
- [Public roadmap repository and milestones](https://git.autonomic.zone/coop-cloud/organising/issues)

!!! note

    Please note, our [git.autonomic.zone](https://git.autonomic.zone) instance
    is currently set to "invite only" mode for `$reasons`. We mirror all repositories on Github
    under [github.com/Autonomic-Cooperative](https://github.com/Autonomic-Cooperative) and will
    respond to issues and pull requests there.

## Compensation for contributions

We think that it is important to focus on making the libre software ecosystem sustainable. This has historically [not been the case](https://www.fordfoundation.org/media/2976/roads-and-bridges-the-unseen-labor-behind-our-digital-infrastructure.pdf).

It feels important to contextualise this position. In the words of [LURK](https://lurk.org):

> Big tech and an abusive misunderstanding of free and open source software practices have led us to believe that software production, server maintenance and on-line services should be free as in gratis. However there is no such things as a free lunch and software does not exist in a vacuum. If we want sustainable alternatives and a diverse cultural sector, these alternatives and the humans behind them, need to be supported.

And a short excerpt from [Seven Theses On The Fediverse and The Becoming Of FLOSS](https://archive.transmediale.de/content/seven-theses-on-the-fediverse-and-the-becoming-of-floss):

> Without substantial funding for ongoing development and maintenance, these projects will remain contingent upon the exploitation of the free labor of well-meaning individuals, or subject to the whims of people making time for their FLOSS hobby.

We want to build a flourishing, inclusive, accessible project and paying people for their work (not just writing source code, but other forms of organising and care work too!) has a role to play in that. We think that making it possible to compensate contributors for working on Co-op Cloud is a way to get involved with self-organising sustainability from the start.

We haven't worked this all out. We've opened up an [Open Collective account](https://opencollective/coop-cloud) and we're running this as an "invite only mode" approach. **If you want to make a contribution to Co-op Cloud and you'd like to be compensated, please [come and chat to us first](https://docs.coopcloud.tech/contact/).**

So far, in our thinking, we have agreed to the following:

- The hourly rate we offer is £18 (matches our internal [Autonomic](https://autonomic.zone/) rate)
- Please speak to us in the `#coopcloud-dev:autonomic.zone` ([docs](https://docs.coopcloud.tech/contact/)) before starting the work
- Please use the line items to separate different piece of work. Please include the hour count and ticket if you have one (e.g. [expense #44298](https://opencollective.com/coop-cloud/expenses/44298))

Open questions are:

- When we say "we" here, we mean [Autonomic Co-op](https://autonomic.zone/). We are the initiators of this project and the main developers at time of writing. We are not clear on what the relationship is on working conditions and ideas around governance between contributors to the Co-op Cloud and members of Autonomic. This is something to discuss further.
- We are a small organisation and do not have much capacity to manage the financial organsation of several contributors. We want to open up the project and work towards a shared governance of the project. For now, we're focussing on this "invite only mode" of compensation so we can keep it manageable for ourselves.
- It is not clear how to compensate "non-technical" tasks, organsational work and care work in the project. We want to get there.
- It is not clear how to organising estimating how long things will take and how much things will cost. Our funding is finite so we should be mindful of this.
